LoggerService to log. Allows logger to be changed at runtime To set the logger level in the console run logger.level=logger.Level.DEBUG

### Hierarchy

- LoggerService

## Index

### Constructors

- constructor

### Properties

- logger

### Methods

- debug
- error
- info
- warn

## Constructors

### constructor

- new LoggerService(logger: Logger): LoggerService

- - Defined in core/util/logger.service.ts:10

  #### Parameters

  - ##### logger: Logger

  #### Returns LoggerService

## Properties

### Private logger

logger: Logger

- Defined in core/util/logger.service.ts:14

## Methods

### debug

- debug(message: string): void

- - Defined in core/util/logger.service.ts:31

  #### Parameters

  - ##### message: string

  #### Returns void

### error

- error(message: string): void

- - Defined in core/util/logger.service.ts:23

  #### Parameters

  - ##### message: string

  #### Returns void

### info

- info(message: string): void

- - Defined in core/util/logger.service.ts:19

  #### Parameters

  - ##### message: string

  #### Returns void

### warn

- warn(message: string): void

- - Defined in core/util/logger.service.ts:27

  #### Parameters

  - ##### message: string

  #### Returns void

Generated using TypeDoc